//
// MapperService.cs - Service Implementation
//

using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace WcfMapper
    {
    [ServiceBehavior(Namespace="http://www.nyangau.org/jmsadapter/mapper")]
    public class MapperService : IMapperService
        {
        public ArrayOfString map(string mapName, ArrayOfString unmapped)
            {
            ArrayOfString l = new ArrayOfString();
            foreach (String s in unmapped)
                if ( s.Equals("Gold") )
                    {
                    l.Add(s);
                    l.Add("Au");
                    }
            return l;
            }
        }
    }
